unit ufSetClass;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, LabelButton, Grids, DBGrids, DBCtrls;

type
  TfSetClass = class(TForm)
    DBGrid1: TDBGrid;
    Shape1: TShape;
    Panel1: TPanel;
    DBNavigator1: TDBNavigator;
    Button1: TButton;
    procedure FormActivate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fSetClass: TfSetClass;

implementation

uses udm;

{$R *.dfm}

procedure TfSetClass.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TfSetClass.FormActivate(Sender: TObject);
begin
  Width := Shape1.Width;
  Height := Shape1.Height;
  Left   := (Screen.Width - width) div 2;
  Top    := (Screen.Height - height) div 2;
end;

end.
 